/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./dropdowntree.component";
import * as i2 from "./data-binding/dropdowntree/flat-binding.directive";
import * as i3 from "./data-binding/dropdowntree/hierarchy-binding.directive";
import * as i4 from "./expanded-state/expand.directive";
import * as i5 from "./templates/node-template.directive";
import * as i6 from "../common/templates/header-template.directive";
import * as i7 from "../common/templates/footer-template.directive";
import * as i8 from "../common/templates/value-template.directive";
import * as i9 from "../common/templates/no-data-template.directive";
import * as i10 from "../common/localization/custom-messages.component";
import * as i11 from "./multiselecttree.component";
import * as i12 from "./data-binding/multiselecttree/flat-binding.directive";
import * as i13 from "./data-binding/multiselecttree/hierarchy-binding.directive";
import * as i14 from "./summary-tag/summary-tag.directive";
import * as i15 from "../common/templates/group-tag-template.directive";
import * as i16 from "../common/templates/tag-template.directive";
/**
 * - `MultiSelectTreeComponent`&mdash;The MultiSelectTree component class.
 * - `DropDownTreeComponent`&mdash;The DropDownTree component class.
 * - `MultiSelectTreeFlatBindingDirective`&mdash;The MultiSelectTree flat binding directive.
 * - `DropDownTreeFlatBindingDirective`&mdash;The DropDownTree flat binding directive.
 * - `MultiSelectTreeHierarchyBindingDirective`&mdash;The MultiSelectTree hierarchy binding directive.
 * - `DropDownTreeHierarchyBindingDirective`&mdash;The DropDownTree hierarchy binding directive.
 * - `DropDownTreesExpandDirective`&mdash;The DropDownTreesExpand directive.
 * - `NodeTemplateDirective`&mdash;The node template directive.
 * - `MultiSelectTreeSummaryTagDirective`&mdash;The MultiSelectTreeSummaryTag directive.
 * - `TagTemplateDirective`&mdash;The tag template directive.
 * - `GroupTagTemplateDirective`&mdash;The group tag template directive.
 * - `HeaderTemplateDirective`&mdash;The header template directive.
 * - `FooterTemplateDirective`&mdash;The footer template directive.
 * - `ValueTemplateDirective`&mdash;The value template directive.
 * - `NoDataTemplateDirective`&mdash;The no-data template directive.
 * - `CustomMessagesComponent`&mdash;The custom messages component.
 */
export declare class DropDownTreesModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DropDownTreesModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DropDownTreesModule, never, [typeof i1.DropDownTreeComponent, typeof i2.DropDownTreeFlatBindingDirective, typeof i3.DropDownTreeHierarchyBindingDirective, typeof i4.DropDownTreesExpandDirective, typeof i5.NodeTemplateDirective, typeof i6.HeaderTemplateDirective, typeof i7.FooterTemplateDirective, typeof i8.ValueTemplateDirective, typeof i9.NoDataTemplateDirective, typeof i10.CustomMessagesComponent, typeof i11.MultiSelectTreeComponent, typeof i12.MultiSelectTreeFlatBindingDirective, typeof i13.MultiSelectTreeHierarchyBindingDirective, typeof i4.DropDownTreesExpandDirective, typeof i5.NodeTemplateDirective, typeof i14.MultiSelectTreeSummaryTagDirective, typeof i15.GroupTagTemplateDirective, typeof i16.TagTemplateDirective, typeof i6.HeaderTemplateDirective, typeof i7.FooterTemplateDirective, typeof i8.ValueTemplateDirective, typeof i9.NoDataTemplateDirective, typeof i10.CustomMessagesComponent], [typeof i1.DropDownTreeComponent, typeof i2.DropDownTreeFlatBindingDirective, typeof i3.DropDownTreeHierarchyBindingDirective, typeof i4.DropDownTreesExpandDirective, typeof i5.NodeTemplateDirective, typeof i6.HeaderTemplateDirective, typeof i7.FooterTemplateDirective, typeof i8.ValueTemplateDirective, typeof i9.NoDataTemplateDirective, typeof i10.CustomMessagesComponent, typeof i11.MultiSelectTreeComponent, typeof i12.MultiSelectTreeFlatBindingDirective, typeof i13.MultiSelectTreeHierarchyBindingDirective, typeof i4.DropDownTreesExpandDirective, typeof i5.NodeTemplateDirective, typeof i14.MultiSelectTreeSummaryTagDirective, typeof i15.GroupTagTemplateDirective, typeof i16.TagTemplateDirective, typeof i6.HeaderTemplateDirective, typeof i7.FooterTemplateDirective, typeof i8.ValueTemplateDirective, typeof i9.NoDataTemplateDirective, typeof i10.CustomMessagesComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DropDownTreesModule>;
}
